/*
 * $Id: StatefulXMLEventListener.java,v 1.1 2003/04/29 08:47:38 znerd Exp $
 */
package org.znerd.xmlenc;

/**
 * Stateful <code>XMLEventListener</code>. This interface adds a single
 * {@link #getState()}.
 *
 * @version $Revision: 1.1 $ $Date: 2003/04/29 08:47:38 $
 * @author Ernst de Haan (<a href="mailto:znerd@FreeBSD.org">znerd@FreeBSD.org</a>)
 *
 * @since xmlenc 0.32
 */
public interface StatefulXMLEventListener
extends XMLEventListener {

   /**
    * Returns the current state of this outputter.
    *
    * @return
    *    the current state, cannot be <code>null</code>.
    */
   XMLEventListenerState getState();
}
